"no results found" for "all" type in topcrasher report for newtcbs

VERIFIED FIXED in 2.2

Status

--
blocker
VERIFIED FIXED
7 years ago
7 years ago

People

(Reporter: rhelmer, Assigned: lonnen)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

7 years ago
Problem looks to be in newtcbs mware (tcbstrends modern.py):

[rhelmer@mware1.socorro.stage.webapp.sjc1 ~]$ curl -u dbrwaccess 'http://mware.socorro.stage.webapp.sjc1.mozilla.com/bpapi//201010/topcrash/sig/trend/rank/p/Firefox/v/6.0b5/type/all/end/2011-08-15T00:00:00T+0000/duration/168/listsize/300'
Enter host password for user 'dbrwaccess':
Aug 14 17:00:21 Socorro Web Services (pid 28715): 2011-08-14 17:00:21,815 DEBUG - Dummy-1 - creating crashStorePool
Aug 14 17:00:21 Socorro Web Services (pid 28715): 2011-08-14 17:00:21,815 DEBUG - Dummy-1 - TopCrashBySignatureTrends __init__
Aug 14 17:00:21 Socorro Web Services (pid 28715): 2011-08-14 17:00:21,816 DEBUG - Dummy-1 - TopCrashBySignatureTrends get
Aug 14 17:00:21 Socorro Web Services (pid 28715): 2011-08-14 17:00:21,816 DEBUG - Dummy-1 - TopCrashBySignatureTrends get {'crashType': 'all', 'product': 'Firefox', 'endDate': datetime.datetime(2011, 8, 15, 0, 0), 'listSize': 300, 'version': '6.0b5', 'duration': datetime.timedelta(7)}
Aug 14 17:00:21 Socorro Web Services (pid 28715): 2011-08-14 17:00:21,829 DEBUG - Dummy-1 - entered twoPeriodTopCrasherComparison
Aug 14 17:00:21 Socorro Web Services (pid 28715): 2011-08-14 17:00:21,857 DEBUG - Dummy-1 - New endDate: 2011-08-13
Aug 14 17:00:21 Socorro Web Services (pid 28715): 2011-08-14 17:00:21,857 DEBUG - Dummy-1 - rangeOfQueriesGenerator for 2011-07-30 to 2011-08-06
Aug 14 17:00:21 Socorro Web Services (pid 28715): 2011-08-14 17:00:21,866 DEBUG - Dummy-1 - rangeOfQueriesGenerator for 2011-08-06 to 2011-08-13
{"totalPercentage": 0, "end_date": "2011-08-13", "start_date": "2011-08-06", "crashes": [], "totalNumberOfCrashes": 0}
(Reporter)

Comment 1

7 years ago
mbrandt, I think we should have an automated test for this, here are STR:

1. load e.g. http://khan.mozilla.org/~rhelmer/reporter/topcrasher/byversion/Firefox/6.0b4/7
2. under "type", click each of "all", "browser", "plugin"

Expected:
each should load (browser showing only browser, plugin only plugin, all both browser and plugin)

Actual:
"no results found" for all
(Reporter)

Comment 2

7 years ago
(In reply to Robert Helmer [:rhelmer] from comment #1)
> mbrandt, I think we should have an automated test for this, here are STR:
> 
> 1. load e.g.
> http://khan.mozilla.org/~rhelmer/reporter/topcrasher/byversion/Firefox/6.0b4/
> 7

Well, use stage/prod not my dev instance sorry :) 
https://crash-stats.mozilla.com/topcrasher/byversion/Firefox/6.0b4/7
(Reporter)

Updated

7 years ago
Summary: "all" type not working in topcrasher report → "no results found" for "all" type not in topcrasher report for newtcbs
(Reporter)

Updated

7 years ago
Summary: "no results found" for "all" type not in topcrasher report for newtcbs → "no results found" for "all" type in topcrasher report for newtcbs
(Assignee)

Comment 3

7 years ago
Created attachment 553066 [details] [diff] [review]
fix it!
Attachment #553066 - Flags: review?(rhelmer)
(Reporter)

Updated

7 years ago
Attachment #553066 - Flags: review?(rhelmer) → review+
(Assignee)

Comment 4

7 years ago
Landed:
trunk: http://code.google.com/p/socorro/source/detail?r=3447
branch: http://code.google.com/p/socorro/source/detail?r=3446
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
QA verified, comment 2:

https://crash-stats.allizom.org/topcrasher/byversion/Firefox/6.0b4/7

Also added a story to get this into automation.
Status: RESOLVED → VERIFIED
Component: Socorro → General
Product: Webtools → Socorro
You need to log in before you can comment on or make changes to this bug.